/******************************************
  *	    	       psposk - Sample v1.4				*
  *		     PEB For Xtremlua.com				*
  *		     	http://bdpp.c.la				*
  *									*
  *		More information on ps2dev.org			*
  ******************************************
  *		Last UpDate : 29/02/08				*
  ******************************************
 * Exemple d'integration pour une utilisation reptitive.	*
  ******************************************/

	#include <pspdebug.h>
	#include <pspdisplay.h>
	#include <pspkernel.h>
	#include <pspmoduleinfo.h>
	#include <psputility.h>
	#include <psputility_osk.h>
	#include <pspgu.h>
	#include <pspgum.h>

	#include <stdio.h>
	#include <string.h>
	#include <stdlib.h>
	
	#include <psposk.h>		// Pensez  inclure ce prototype
	
	#include <png.h>
	#include "../common/graphics.h"

	#define printf pspDebugScreenPrintf
	

PSP_MODULE_INFO("PSPOSK Library Sample", 0, 1, 0);

int exit_callback(int arg1, int arg2, void *common);
int CallbackThread(SceSize args, void *argp);
int SetupCallbacks(void);
void printSystemParam(int id, int iVal, char *sVal);



int main(int argc, char *argv[])
{
	SetupCallbacks();
	initGraphics();
	
	/*** Debut insertion clavier avec le GU (clavier facile  insrer, aucune connaissance du Gu n'est requit, donc rapide  insrer)  ***/
	// Ici on cherche  afficher le clavier AVEC un texte dans la boite de dialogue et une description
	char intext1[128] = "Coucou!";
	char desc1[128] = "Entrez votre texte";
	char inputgu2[128]="";					// inputgu va stocker la saisie clavier lanc avec le GU
	
	int i;
	for(i=1;i<=5;i++)
	{
		SonyOskPng(inputgu2,"background.png",intext1,desc1);
		pspDebugScreenInit();
		pspDebugScreenClear();
		printf("\n PSPOSK Library Sample v1.4 - PEB\n");
		printf("--------------------------------------------------------------------\n\n\n\n");
		printf("Passage en boucle (%d/5)\n", i);
		printf("Le clavier renvoi  : %s\n", inputgu2);
		if(i==5){printf("\n\nSony vous remercie! Retour au XMB dans 5 sec...");}
		sceKernelDelayThread(1000*1000*2);
	}
	/*** Fin insertion  ***/
	

	sceKernelDelayThread(1000*1000*3);
	sceKernelExitGame();
	return 0;
} 


/* Exit callback */
int exit_callback(int arg1, int arg2, void *common)
{
   sceKernelExitGame();
   return 0;
}

/* Callback thread */
int CallbackThread(SceSize args, void *argp)
{
   int cbid;
   cbid = sceKernelCreateCallback("Exit Callback", exit_callback, NULL);
   sceKernelRegisterExitCallback(cbid);
   sceKernelSleepThreadCB();

   return 0;
}

/* Sets up the callback thread and returns its thread id */
int SetupCallbacks(void)
{
   int thid = 0;
   thid = sceKernelCreateThread("update_thread", CallbackThread, 0x11, 0xFA0, 0, 0);
   if (thid >= 0)
       sceKernelStartThread(thid, 0, 0);
   return thid;
}




