/******************************************
  *	    	       psposk - Sample v1.4				*
  *		     PEB For Xtremlua.com				*
  *		     	http://bdpp.c.la				*
  *									*
  *		More information on ps2dev.org			*
  ******************************************
  *		Last UpDate : 29/02/08				*
  ******************************************
 * Retour d'info sur la PSP et de l'utilisateur.		*
  ******************************************/
  
	#include <pspctrl.h>
	#include <pspdebug.h>
	#include <pspdisplay.h>
	#include <pspkernel.h>
	#include <pspmoduleinfo.h>
	#include <psputility.h>
	#include <psputility_osk.h>
	#include <pspgu.h>
	#include <pspgum.h>

	#include <stdio.h>
	#include <string.h>
	#include <stdlib.h>
	
	#include <psposk.h>		// Pensez  inclure ce prototype
	
	#include <png.h>
	#include "../common/graphics.h"

	#define printf pspDebugScreenPrintf


PSP_MODULE_INFO("InfoPSP Sample", 0, 1, 0);


int exit_callback(int arg1, int arg2, void *common);
int CallbackThread(SceSize args, void *argp);
int SetupCallbacks(void);



int main(int argc, char *argv[])
{
	SetupCallbacks();
	SceCtrlData pad;
	
	char desc2[128]="Entrez votre texte";			// Description lors de l'affichage de l'OSK
	char inputpng0[128] = "YouOu!";					// On dclare la variable qui va stocker l'info souhait
	char inputpng1[128] = "";						// On dclare la variable qui va stocker l'info souhait
	char inputpng2[128] = "";						// On dclare la variable qui va stocker l'info souhait
	char inputpng3[128] = "";						// On dclare la variable qui va stocker l'info souhait
	char inputpng4[128] = "";						// On dclare la variable qui va stocker l'info souhait
	char inputpng5[128] = "";						// On dclare la variable qui va stocker l'info souhait
	char inputpng6[128] = "";						// On dclare la variable qui va stocker l'info souhait
	char inputpng7[128] = "";						// On dclare la variable qui va stocker l'info souhait
	char inputpng8[128] = "";						// On dclare la variable qui va stocker l'info souhait
	
	
	SonyOskInfoPsp(PSEUDO,inputpng1);				// Ici on demande le pseudo pour l'utiliser avec le clavier (sinon utilisez InfoPsp() )
	SonyOskInfoPsp(ADHOC_CHANNEL,inputpng2);		// Ici on demande le pseudo pour l'utiliser avec le clavier (sinon utilisez InfoPsp() )
	SonyOskInfoPsp(WLAN_POWERSAVE,inputpng3);		// Ici on demande le pseudo pour l'utiliser avec le clavier (sinon utilisez InfoPsp() )
	SonyOskInfoPsp(DATE_FORMAT,inputpng4);			// Ici on demande le pseudo pour l'utiliser avec le clavier (sinon utilisez InfoPsp() )
	SonyOskInfoPsp(TIME_FORMAT,inputpng5);			// Ici on demande le pseudo pour l'utiliser avec le clavier (sinon utilisez InfoPsp() )
	SonyOskInfoPsp(TIMEZONE,inputpng6);				// Ici on demande le pseudo pour l'utiliser avec le clavier (sinon utilisez InfoPsp() )
	SonyOskInfoPsp(DAYLIGHTSAVINGS,inputpng7);		// Ici on demande le pseudo pour l'utiliser avec le clavier (sinon utilisez InfoPsp() )
	SonyOskInfoPsp(LANGUAGE,inputpng8);				// Ici on demande le pseudo pour l'utiliser avec le clavier (sinon utilisez InfoPsp() )
	
	SonyOskPng(inputpng0,"background.png",inputpng1,desc2);	// l'affichage du pseudo avec le clavier devient trs simple
	
	pspDebugScreenInit();
	pspDebugScreenClear();
	printf("\n PSPOSK Library Sample v1.4 - PEB\n");
	printf("--------------------------------------------------------------------\n\n\n\n");
	
	printf("CLAVIER         : %s\n", inputpng0);
	printf("PSEUDO          : %s\n", inputpng1);
	printf("ADHOC_CHANNEL   : %s\n", inputpng2);
	printf("WLAN_POWERSAVE  : %s\n", inputpng3);
	printf("DATE_FORMAT     : %s\n", inputpng4);
	printf("TIME_FORMAT     : %s\n", inputpng5);
	printf("TIMEZONE        : %s\n", inputpng6);
	printf("DAYLIGHTSAVINGS : %s\n", inputpng7);
	printf("LANGUAGE        : %s\n", inputpng8);
	
	
	printf("\n\n\n\n Appuyez sur START pour quitter.");
	sceKernelDelayThread(1000*1000*2);
	while(1)
	{
		sceCtrlReadBufferPositive(&pad, 1);
		if(pad.Buttons & PSP_CTRL_START)
		{
			sceKernelDelayThread(1000*1000*1);
			break;
		}
	}
	
	
	sceKernelExitGame();
	return 0;
} 

/** CALLBACK  **/
int exit_callback(int arg1, int arg2, void *common){/* Exit callback */
   sceKernelExitGame();
   return 0;
}
int CallbackThread(SceSize args, void *argp){/* Callback thread */
   int cbid;
   cbid = sceKernelCreateCallback("Exit Callback", exit_callback, NULL);
   sceKernelRegisterExitCallback(cbid);
   sceKernelSleepThreadCB();

   return 0;
}
int SetupCallbacks(void){/* Sets up the callback thread and returns its thread id */
   int thid = 0;
   thid = sceKernelCreateThread("update_thread", CallbackThread, 0x11, 0xFA0, 0, 0);
   if (thid >= 0)
       sceKernelStartThread(thid, 0, 0);
   return thid;
}



