/******************************************
  *	    	       psposk - Sample v1.4				*
  *		     PEB For Xtremlua.com				*
  *		     	http://bdpp.c.la				*
  *									*
  *		More information on ps2dev.org			*
  ******************************************
  *		Last UpDate : 29/02/08				*
  ******************************************
 * Exemple d'integration du clavier  vos Homebrews.	*
  ******************************************/
  

	#include <pspdebug.h>
	#include <pspdisplay.h>
	#include <pspkernel.h>
	#include <pspmoduleinfo.h>
	#include <psputility.h>
	#include <psputility_osk.h>
	#include <pspgu.h>
	#include <pspgum.h>

	#include <stdio.h>
	#include <string.h>
	#include <stdlib.h>
	
	#include <psposk.h>		// Pensez  inclure ce prototype
	
	#include <png.h>
	#include "../common/graphics.h"

	#define printf pspDebugScreenPrintf
	

PSP_MODULE_INFO("PSPOSK Library Sample", 0, 1, 0);

int exit_callback(int arg1, int arg2, void *common);
int CallbackThread(SceSize args, void *argp);
int SetupCallbacks(void);
void printSystemParam(int id, int iVal, char *sVal);



int main(int argc, char *argv[])
{
	SetupCallbacks();
	initGraphics();
	
	// Juste une petite demo pour montrer l'amlioration de la librairie, la possibilt d'afficher une image avec la methode classic
	Image * image = loadImage("background.png");
	blitImageToScreen(0, 0, image->imageWidth, image->imageHeight, image, 0, 0);
	sceDisplayWaitVblankStart();	
	flipScreen();
	sceKernelDelayThread(1000*1000*2);
	
	
	/*** Debut insertion clavier avec le GU (clavier facile  insrer, aucune connaissance du Gu n'est requit, donc rapide  insrer)  ***/
	// Ici on cherche  afficher le plus simplement possible, sans ajouter de texte dans la boite de dialogue ou de description
	char inputgu1[128]="";					// inputgu va stocker la saisie clavier lanc avec le GU
	SonyOskGu(inputgu1,GRIS,NONE,NONE);
	/*** Fin insertion  ***/
	
	
	/*** Debut insertion clavier avec le GU (clavier facile  insrer, aucune connaissance du Gu n'est requit, donc rapide  insrer)  ***/
	// Ici on cherche  afficher le clavier AVEC un texte dans la boite de dialogue et une description
	char intext1[128] = "Coucou!";
	char desc1[128] = "Entrez votre texte";
	char inputgu2[128]="";					// inputgu va stocker la saisie clavier lanc avec le GU
	SonyOskGu(inputgu2,GRIS,intext1,desc1);
	/*** Fin insertion  ***/
	
	
	/*** Debut insertion clavier en png ( demande de connaitre les bases de l'utilisation de la libpng, mais permet l'affichage d'un fond d'cran!)  ***/
	// Ici on cherche  afficher le clavier AVEC un fond d'cran!
	char intext2[128] = "PNG !!!";
	char desc2[128] = "Entrez votre texte ici";
	char inputpng1[128]="";					// inputgu va stocker la saisie clavier lanc avec le GU
	SonyOskPng(inputpng1,"background.png",intext2,desc2);
	/*** Fin insertion  ***/
	
	

	
	pspDebugScreenInit();
	pspDebugScreenClear();
	printf("\n PSPOSK Library Sample v1.4 - PEB\n");
	printf("--------------------------------------------------------------------\n\n\n\n");
	
	printf("Le clavier1 sous Gu renvoi  : %s\n", inputgu1);
	printf("Le clavier2 sous Gu renvoi  : %s\n\n", inputgu2);
	printf("Le clavier1 sous Png renvoi  : %s\n\n", inputpng1);
	
	printf("\n\nSony vous remercie! Retour au XMB dans 7 sec...");
	

	sceKernelDelayThread(1000*1000*7);
	sceKernelExitGame();
	return 0;
} 


/* Exit callback */
int exit_callback(int arg1, int arg2, void *common)
{
   sceKernelExitGame();
   return 0;
}

/* Callback thread */
int CallbackThread(SceSize args, void *argp)
{
   int cbid;
   cbid = sceKernelCreateCallback("Exit Callback", exit_callback, NULL);
   sceKernelRegisterExitCallback(cbid);
   sceKernelSleepThreadCB();

   return 0;
}

/* Sets up the callback thread and returns its thread id */
int SetupCallbacks(void)
{
   int thid = 0;
   thid = sceKernelCreateThread("update_thread", CallbackThread, 0x11, 0xFA0, 0, 0);
   if (thid >= 0)
       sceKernelStartThread(thid, 0, 0);
   return thid;
}




